// SpecLoopPaint class for LoopPaint lab
// (c) J. Dean Brock, Rebecca F. Bruce, 2001, 2004
// Department of Computer Science
// University of North Carolina at Asheville

package edu.unca.cs.csci201.LabAids;

/**
 * Interface for the LoopPaint lab.  Classes which tile
 * the plot must implement this interface.
 */
public interface SpecLoopPaint {
 /**
  * Returns the number of tiles used by the plotter.
  * Ideally, this should be the product of two
  * similarly sized numbers.
  * @return Number of tiles
  */
	public int  size() ;
 /**
  * This method turns on tiles using the TurnOn method
  * of Switcher.  The switcher is created deep within
  * the package classes.
  * @param P The switcher 
  */
	public void TestFunc(Switcher P) ;
}
